Package: org.codehaus.groovy.util

## [Groovy] Class StringUtil

- org.codehaus.groovy.util.StringUtil

-     @CompileStatic
      class StringUtil
      extends Object

  String utility functions.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `StringUtil()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static String` | `tr(String text, String source, String replacement)` Provides Groovy with functionality similar to the unix tr command which translates a string replacing characters from a source set with characters from a replacement set.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### StringUtil()

  - ### Method Detail

    - #### static String tr(String text, String source, String replacement)

      Provides Groovy with functionality similar to the unix tr command which translates a string replacing characters from a source set with characters from a replacement set.

      Since:
        1.7.3